PaidGoods
API referenceAnalytics

Sales analytics for a date range

GET
/v1/stores/{storeId}/analytics

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

from*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
to*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/analytics?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"
{  "currency": "string",  "revenue": [    {      "currency": "string",      "amountMinor": -9007199254740991    }  ],  "refunds": [    {      "currency": "string",      "amountMinor": -9007199254740991    }  ],  "paidOrders": -9007199254740991,  "invoicesCreated": -9007199254740991,  "customers": -9007199254740991,  "averageOrder": [    {      "currency": "string",      "amountMinor": -9007199254740991    }  ],  "visits": -9007199254740991,  "conversionRate": 0,  "ledgerSales": [    {      "currency": "string",      "salesMinor": -9007199254740991,      "refundsMinor": -9007199254740991    }  ],  "series": [    {      "day": "string",      "currency": "string",      "orders": -9007199254740991,      "revenueMinor": -9007199254740991    }  ],  "visitsSeries": [    {      "day": "string",      "views": -9007199254740991    }  ],  "topProducts": [    {      "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",      "name": "string",      "currency": "string",      "qty": -9007199254740991,      "revenueMinor": -9007199254740991,      "profitMinor": -9007199254740991    }  ],  "topCustomers": [    {      "email": "string",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "currency": "string",      "orders": -9007199254740991,      "revenueMinor": -9007199254740991    }  ],  "methods": [    {      "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011",      "label": "string",      "currency": "string",      "orders": -9007199254740991,      "revenueMinor": -9007199254740991    }  ]}